### Function

# GimpUi prop_enum_icon_box_new

since: 2.10

#### Declaration [src]

    GtkWidget*
    gimp_prop_enum_icon_box_new (
      GObject* config,
      const gchar* property_name,
      const gchar* icon_prefix,
      gint minimum,
      gint maximum
    )

#### Description [src]

Creates a horizontal box of radio buttons with named icons, which function to set and display the value of the specified Enum property. The icon name for each icon is created by appending the enum_value’s nick to the given `icon_prefix`. See `gimp_enum_icon_box_new()` for more information.

Available since: 2.10

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of enum property controlled by the radio buttons.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon_prefix`

  Type: `const gchar*`

  The prefix of the group of icon names to use.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`minimum`

  Type: `gint`

  Smallest value of enum to be included.

`maximum`

  Type: `gint`

  Largest value of enum to be included.

#### Return value

Type: `GtkWidget`

A #libgimpwidgets-gimpenumiconbox containing the radio buttons.

The caller of the function takes ownership of the data, and is responsible for freeing it.